/// <reference types="node" />
/// <reference types="node" />
import type { ServerResponse } from 'http';
import { Writable } from 'stream';
declare type ContentTypeOption = string | undefined;
export declare type RenderResultMetadata = {
    pageData?: any;
    revalidate?: any;
    staticBailoutInfo?: any;
    assetQueryString?: string;
    isNotFound?: boolean;
    isRedirect?: boolean;
};
export default class RenderResult {
    private readonly _response;
    private readonly _contentType;
    private readonly _metadata;
    constructor(response: string | ReadableStream<Uint8Array> | null, { contentType, ...metadata }?: {
        contentType?: ContentTypeOption;
    } & RenderResultMetadata);
    get metadata(): Readonly<RenderResultMetadata>;
    isNull(): boolean;
    contentType(): ContentTypeOption;
    toUnchunkedString(): string;
    pipe(res: ServerResponse | Writable): Promise<void>;
    isDynamic(): boolean;
    static fromStatic(value: string): RenderResult;
    static empty: RenderResult;
}
export {};
